Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.sql
Class SqlBatchWriterFactory

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordFilterAppender
          com.servingxml.components.sql.SqlBatchWriterFactory

All Implemented Interfaces:
  RecordFilterAppender, RecordPipelineAppender

    public class SqlBatchWriterFactory

extends AbstractRecordFilterAppender
implements RecordFilterAppender

A `SqlBatchWriterFactory` instance may be used to obtain objects that implement the `RecordWriter` interface.

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`EMPTY_ARRAY`

Constructor Summary
`SqlBatchWriterFactory(JdbcConnectionPool connectionPool, SqlUpdateDatabaseFactory sqlUpdate, int batchSize)`

Method Summary
`void` | `appendToRecordPipeline(ServiceContext context, Flow flow, RecordFilterChain pipeline)`

Methods inherited from class com.servingxml.components.recordio.AbstractRecordFilterAppender
`createRecordPipeline`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`createRecordPipeline`

Constructor Detail

### SqlBatchWriterFactory

    public SqlBatchWriterFactory(JdbcConnectionPool connectionPool,
                                 SqlUpdateDatabaseFactory sqlUpdate,
                                 int batchSize)

Method Detail

### appendToRecordPipeline

    public void appendToRecordPipeline(ServiceContext context,
                                       Flow flow,
                                       RecordFilterChain pipeline)

  Specified by:
    `appendToRecordPipeline` in interface `RecordPipelineAppender`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD